Role Name
=========

A role that installs vstpd, <https://security.appspot.com/vsftpd.html>

Role Variables
--------------

The most important variables are listed below:

``` yaml
vsftpd_server_enabled: True
vsftpd_anonymous_enable: "NO"
vsftpd_local_enable: "YES"
vsftpd_write_enable: "YES"
vsftpd_local_umask: "077"
vsftpd_dirmessage_enable: "YES"
vsftpd_connect_from_port_20: "YES"
vsftpd_ls_recurse_enable: "NO"
vsftpd_local_root: /dev/null
vsftpd_pasv_min_port: 49152
vsftpd_pasv_max_port: 65534
vsftpd_chroot_list_enable: "YES"
vsftpd_chroot_list_file: /etc/vsftpd.chroot_list
vsftpd_chroot_passwd_enable: "NO"
vsftpd_chroot_local_user: "NO"
vsftpd_iptables_rules: True
vsftpd_iptables_allowed_hosts:
  - 0.0.0.0/0

vsftpd_manage_user_acls: True
vsftpd_manage_real_users: False
vsftpd_manage_valid_shells: False

vsftpd_tls_enabled: True
vsftpd_force_tls: True
vsftpd_tls_letsencrypt: True
vsftpd_ssl_ca_certificate: '{{ letsencrypt_acme_certs_dir }}/fullchain'
vsftpd_ssl_certificate: '{{ letsencrypt_acme_certs_dir }}/cert'
vsftpd_ssl_certificate_key: '{{ letsencrypt_acme_certs_dir }}/privkey'
```

Dependencies
------------

None

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
